# This file is a template, and might need editing before it works on your project.
# Select image from https://hub.docker.com/_/php/
image: ubuntu:latest

# Select what we should cache between builds
cache:
  paths:
    - vendor/

before_script:
  # Install and run Composer
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar install

# Run our tests
# If Xdebug was installed you can generate a coverage report and see code coverage metrics.
test:
  script:
    - vendor/bin/phpunit --configuration phpunit.xml --coverage-text --colors=never
